/*
 * $Id$
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log$
 * Revision 1.3  2006/11/06 10:49:00  korowa
 * Tabview License und  Admintabview License hinzugefügt
 *
 * Revision 1.2  2006/09/07 01:54:02  marbobo
 * + TabIds überarbeitet
 *
 * Revision 1.1  2005/08/25 01:49:52  marbobo
 * + Initiale Version
 *
 */
package vkc.license;

import java.util.HashMap;

import vkc.view.TabUniqueName;
import vkc.view.bean.TabInfo;

public class TabViews {
	private static HashMap tabViews = new HashMap();
	
	static {
		TabInfo tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.DOCUMENT_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.DOCUMENT_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.WORKFLOW_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.WORKFLOW_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.TRASH_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.TRASH_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.FAVORITES_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.FAVORITES_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.HISTORY_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.HISTORY_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.LATESTADDITIONS_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.LATESTADDITIONS_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.BESTSELLER_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.BESTSELLER_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.SEARCH_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.SEARCH_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.MESSENGER_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.MESSENGER_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.PROFILE_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.PROFILE_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.NEWS_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.NEWS_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.HELP_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.HELP_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_USERMANAGEMENT_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_USERMANAGEMENT_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_GROUPMANAGEMENT_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_GROUPMANAGEMENT_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_ACTIVEUSERS_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_ACTIVEUSERS_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_SENDEMAIL_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_SENDEMAIL_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_SYSTEMPARAMETERS_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_SYSTEMPARAMETERS_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_SYSTEMDEFAULTS_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_SYSTEMDEFAULTS_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_SYSTEMMAINTENANCE_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_SYSTEMMAINTENANCE_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_NEWSMANAGEMENT_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_NEWSMANAGEMENT_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_SHOWSTATISTICS_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_SHOWSTATISTICS_TAB, tab);

		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_LDAP_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_LDAP_TAB, tab);
		
		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.ADMIN_LICENSE_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.ADMIN_LICENSE_TAB, tab);
		
		tab = new TabInfo();
		
		tab.setUniqueName(TabUniqueName.LICENSE_TAB);
		tab.setTabFlag(null);
		tab.setTabStatus(null);
		tab.setViewTypeId(new Integer(1));
		tab.setEnabled(true);
		tab.setHide(false);
		
		tabViews.put(TabUniqueName.LICENSE_TAB, tab);
	}
	
	static TabInfo getTabView(String uniqueName) {
		return (TabInfo)tabViews.get(uniqueName);
	}
}